<html>
  <head>
      <title>{{server.name}} - Data Upload</title>
  </head>
  <body>
    <h1>Data Upload</h1>
    <a href="/">Home Page</a>
{% if not (upload_requires_auth and not needed_hashes) %}
    <h2>JSON</h2>
    To upload JSON data to this server from a bash terminal, run
<pre style="color: #333333; background-color: #eeeeee; padding: 10px;">
# specify the payload, we use JSON here
PAYLOAD={{testdata.shell}}
{% if upload_requires_auth %}
# specify the secret salt that was configured in the server
SALT='my-secret-salt'
{% for alg in needed_hashes %}
# calculate salted {{alg}} payload checksum
SALTED_{{alg}}_CHECKSUM=`echo -n "$PAYLOAD$SALT"|{{alg}}sum|cut -d' ' -f1`
{% endfor %} {% endif %} {% if upload_requires_auth %}
# upload the data
curl \
    -H 'Content-Type: application/json' \
{% for alg in needed_hashes %}    -H "Content-{{alg}}-Salted: $SALTED_{{alg}}_CHECKSUM" \
{% endfor %}    -d "$PAYLOAD" {{request.host}}/upload
{% else %}
# upload the data
curl -H 'Content-Type: application/json' -d "$PAYLOAD" {{request.host}}/upload
{% endif %}
</pre>
{% else %}
    <strong>
    The server's upload authentication configuration is wrong.
    Upload is impossible.
    </strong>
{% endif %}
    <hr>
    <a target="_blank" href="https://pypi.org/project/co2logserver">
    co2logserver</a> -
    <i>{{server.name}}</i> -
    version <b>{{server.version}}</b>
  </body>
</html>
